%define module Gtk2-Html2
%define fmodule Html2

Summary: Perl module for the gtkhtml2 library
%{?perl_default_filter}

Name:    perl-%module
Version: 0.04
Release: %mkrel 25
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Url: http://gtk2-perl.sf.net/
Source0: %module-%version.tar.bz2
Patch0:  Gtk2-Html2-0.04-fix-example.patch

BuildRequires: gtkhtml2-devel >= 2.4
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-Gtk2 >= 1.083-2mdk
BuildRequires: perl-ExtUtils-PkgConfig

Requires: perl-Gtk2 

%description
This package adds perl support for GtkHTML2.

%prep
%setup -q -n %module-%version
%patch0 -p0
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%makeinstall_std

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.04-25.mga6
+ Revision: 1028053
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.04-24.mga6
+ Revision: 957415
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.04-23.mga6
+ Revision: 843366
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.04-22.mga5
+ Revision: 739472
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.04-21.mga5
+ Revision: 684906
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.04-20.mga5
+ Revision: 632446
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.04-19.mga4
+ Revision: 524783
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.04-18.mga4
+ Revision: 431548
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.04-17.mga3
+ Revision: 367877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.04-16.mga3
+ Revision: 250722
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.04-15.mga2
+ Revision: 135822
- rebuild
- use system ldflags

* Sun Jun 12 2011 ahmad <ahmad> 0.04-13.mga2
+ Revision: 104454
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.04-12.mga1
+ Revision: 36316
- mageia rebuild
- fix buildrequires list
- mageia rebuild
- imported package perl-Gtk2-Html2


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.04-12mdv2011.0
+ Revision: 564483
- rebuild for perl 5.12.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.04-11mdv2011.0
+ Revision: 426470
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.04-10mdv2009.0
+ Revision: 223779
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-9mdv2008.1
+ Revision: 152106
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 26 2007 Thierry Vignaud <tv@mandriva.org> 0.04-8mdv2008.0
+ Revision: 44605
- fix wrong name (really was not compressed
- rebuild


* Thu Mar 29 2007 Frederic Crozat <fcrozat@mandriva.com> 0.04-7mdv2007.1
+ Revision: 149326
- Rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Gtk2-Html2

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.04-6mdk
- rebuild with new gtk+

* Thu Mar 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.04-5mdk
- add BuildRequires: perl-ExtUtils-PkgConfig

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-4mdk
- patch 0: enable file:/// URI in example

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-3mdk
- rebuild for new perl

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-2mdk
- rebuild for perl-5.8.5

* Tue May 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- initial release

